org.apache.jmeter.protocol.http.parser

## Class CssParserCacheLoader

- java.lang.Object
- - org.apache.jmeter.protocol.http.parser.CssParserCacheLoader

- All Implemented Interfaces:
    com.github.benmanes.caffeine.cache.AsyncCacheLoader<org.apache.commons.lang3.tuple.Triple<java.lang.String,java.net.URL,java.nio.charset.Charset>,URLCollection>, com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.Triple<java.lang.String,java.net.URL,java.nio.charset.Charset>,URLCollection>

      public class CssParserCacheLoader
      extends java.lang.Object
      implements com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.Triple<java.lang.String,java.net.URL,java.nio.charset.Charset>,URLCollection>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CssParserCacheLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URLCollection` | `load(org.apache.commons.lang3.tuple.Triple<java.lang.String,java.net.URL,java.nio.charset.Charset> triple)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.github.benmanes.caffeine.cache.CacheLoader

      `asyncLoad, asyncLoadAll, asyncReload, loadAll, reload`

- - ### Constructor Detail

    - #### CssParserCacheLoader

          public CssParserCacheLoader()

  - ### Method Detail

    - #### load

          public URLCollection load(org.apache.commons.lang3.tuple.Triple<java.lang.String,java.net.URL,java.nio.charset.Charset> triple)
                             throws java.lang.Exception

      Specified by:
        `load` in interface `com.github.benmanes.caffeine.cache.CacheLoader<org.apache.commons.lang3.tuple.Triple<java.lang.String,java.net.URL,java.nio.charset.Charset>,URLCollection>`
      Throws:
        `java.lang.Exception`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.